summaryrefslogtreecommitdiff
path: root/network
diff options
context:
space:
mode:
Diffstat (limited to 'network')
-rw-r--r--network/perl-NetAddr-IP/perl-NetAddr-IP.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/network/perl-NetAddr-IP/perl-NetAddr-IP.SlackBuild b/network/perl-NetAddr-IP/perl-NetAddr-IP.SlackBuild
index c215e211ea..2423815b6f 100644
--- a/network/perl-NetAddr-IP/perl-NetAddr-IP.SlackBuild
+++ b/network/perl-NetAddr-IP/perl-NetAddr-IP.SlackBuild
@@ -86,12 +86,8 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# Remove empty directories
find $PKG -depth -type d -empty -exec rm -rf {} \;
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;